wjq7的个人博客分享 http://blog.sciencenet.cn/u/wjq7

博文

Numpy Installation: Python 2.7 required, which was not found

已有 4561 次阅读 2013-1-8 21:40 |个人分类:科研笔记|系统分类:科研笔记|关键词:Python,,NumPy,installation,,HTSeq| Python, numpy, Installation, HTSeq

To use HTSeq, a tool for high-throughput sequencing data analysis, I need install Python 2.7 and Numpy on 64-bit windows 7. Python 2.7 was first successfully installed. But during the installation of Numpy_1.6, error occurred: Python version 2.7 required, which was not found in the registry. Why? 
Mr. Andrew's post on "stackoverflow.com" gave me the answer: 
The issue only crops up on Win7 64-bit when you install Python "for all users". If you install it "for just me", you should not receive these errors. It seems that a lot of installers only look under HKEY_CURRENT_USER for the required registry settings, and not under HKEY_LOCAL_MACHINE. 
So, you can fix the problem by the following two ways:
1, Just uninstall python, and reinstall "for just me". or
2, Export the "Python" section under HKEY_LOCAL_MACHINE -> Software; 
Open the export in notepad notepad; 
Replace "LOCAL_MACHINE" with "CURRENT_USER" Overwrite the reg backup and run it.


http://blog.sciencenet.cn/blog-275731-651121.html

上一篇:qRT-PCR: Oligo(dT) primer or Random hexamers?

0

该博文允许注册用户评论 请点击登录 评论 (0 个评论)

数据加载中...

Archiver|手机版|科学网 ( 京ICP备14006957 )

GMT+8, 2019-12-10 01:57

Powered by ScienceNet.cn

Copyright © 2007- 中国科学报社

返回顶部